# Plugin description

This plugin allows users to export course and student interaction data from Moodle for use within the Academic Analytics Tool (AAT) available at www.academicanalytics.ca.

AAT facilitates users in accessing, exploring and analyzing Moodle data in order to get answers to almost limitless questions about learners' behavior and derive insights on the impact of teaching methods and learning designs.

A simple, wizard-based interface guides users through the process of selecting and filtering Moodle activities, resources, and related concepts without requiring knowledge of the underlying database schema or familiarity with a database query language such as SQL. As such, it is particularly well-suited to instructors, learning designers, researchers or other course administrators who may not have a background in database administration or data analysis, but are interested in exploring data related to courses they deliver, support, or administer.

More information on the tool is available at www.academicanalytics.ca

# Plugin use

Once installed, the plugin allows users to extract information related to courses in which they have an instructional role, as well as user interaction data related to those courses.  Users can extract data by:

1. Navigating to the AAT plugin link under the "More" tab of their home page
2. Selecting the courses to download data from
3. Generating and downloading an encrypted data file (for import in to AAT)

Behind the scenes, the plugin operates in three steps:

1. Creates a database schema by combining all the install.xml files in the Moodle directory and uses this to recreate the structure of the Moodle database.
2. Analyses the Moodle database structure and creates a list of tables that are related to the central "course" table. It is from this list of tables that data will be extracted.
3. Extracts data related to the course(s) selected by the users, which is encrypted before download. Note that the user can only download data from courses in which they are an instructor.

At no point is any data modified or created during the use of the plugin.

# Plugin installation

## Installing via uploaded ZIP file

A Moodle administrator can install the plugin by:

1. Logging in to Moodle (with an administrator account) and navigating to Site administration > Plugins > Install plugins.
2. Uploading the ZIP file with the plugin code. You should only be prompted to add extra details if your plugin type is not automatically detected.
3. Checking the plugin validation report and finish the installation.

## Installing manually

The plugin can be also installed by putting the contents of this directory to

    {your/moodle/dirroot}/local/aatplugin

Afterwards, log in to your Moodle site as an admin and go to _Site administration >
Notifications_ to complete the installation.

Alternatively, you can run

    $ php admin/cli/upgrade.php

to complete the installation from the command line.

## License ##

2023 Joseph Larochelle <larochellejo@hotmail.com>

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <https://www.gnu.org/licenses/>.
