<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     local_aatplugin
 * @category    string
 * @copyright   2023 Joseph Larochelle <larochellejo@hotmail.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'AAT Export Utility';
$string['desc'] = 'This is a plugin that allows you to export all data related to a course via an encrypted SQL dump file.';
$string['infomessage'] = 'Welcome to the AAT plugin, this plugin allows you to download records from courses in which you are
an instructor so they can be uploaded directly to the AAT website. Simply select one or more courses
from the list below and click the "Generate SQL Dump" button to download the SQL file.';
$string['coursename'] = 'Course Name';
$string['courseid'] = 'Course ID';
$string['select'] = 'Selection';
$string['generatedump'] = 'Generate SQL Dump';
$string['privacy:metadata'] = 'This plugin does not store any data. However, it does allow instructors to download course data
to be uploaded to the AAT website. The plugin searched the entire moodle database for data related to specific courses';
$string['dumpfileerror'] = 'There was an error creating the dump file. The file can be used
                         but data from the following table(s) may be missing:';
$string['encryptionerror'] = 'There was an error encrypting the dump file';
$string['recordserror'] = 'There was an error fetching records from the table: ';
$string['downloaderror'] = 'There was an error downloading the file';
$string['nocourseselected'] = 'You have not selected any courses, please select at least one course';
$string['instructions_heading'] = 'Instructions:';
$string['instruction1'] = '1. Select the courses you want to export and click the \'Generate SQL Dump\' button';
$string['instruction2'] = '2. Once the file is generated, click the \'Download SQL Dump\' link to download the file to your computer. Take note of the file location.';
$string['instruction3'] = '3. Head over to the AAT website (link provided below) and log in using your credentials';
$string['instruction4'] = '4. Within the AAT website, navigate to the \'Data Source\' tab and click on the \'Upload\' button';
$string['instruction5'] = '5. Select \'Postgres\' as the vendor, type in a name for the database, and select the file that was downloaded in step 2. Click \'Save\' to complete the process.';
$string['final_note'] = 'You now should have access to the data within the AAT tool.';
$string['aat_website'] = 'https://www.academicanalytics.ca/';
$string['file_created'] = 'Your file was created, click the link below to download it';
$string['download_sql_dump'] = 'Download SQL Dump';
$string['go_back'] = 'Go back to course selection';
$string['directory_not_created'] = 'Directory "%s" was not created';
$string['caught_exception'] = 'Caught exception: %s';
